Public Class entmainCategory : Inherits entMainDropDown
#Region "Private Fields"
    Private intCategoryID As Integer
    Private strCategoryName As String
    Private intParentCategoryID As Integer
    Private intCountOfSubs As Integer
    Private strThumbImage As String
    Private strCategorySummary As String
    Private intActive As Integer
    Private intDeleted As Integer
    Private strCreatedBy As String
    Private strCreatedDate As String
    Private intDeletedBy As String
    Private intDeletedDate As String
    Private strModifiedBy As String
    Private strModifiedDate As String
    Private strMetaDescription As String
    Private intCategoryStypeID As Integer
    Private strMetaTitleBar As String
    Private strCategoryAdminTitle As String
    Private strBulletList As String

#End Region
#Region "Public Properties"
    Public Property CategoryID() As Integer
        Get
            Return intCategoryID
        End Get
        Set(ByVal value As Integer)
            intCategoryID = value
        End Set
    End Property
    Public Property CategoryName() As String
        Get
            Return strCategoryName
        End Get
        Set(ByVal value As String)
            strCategoryName = value
        End Set
    End Property
    Public Property ParentCategoryID() As Integer
        Get
            Return intParentCategoryID
        End Get
        Set(ByVal value As Integer)
            intParentCategoryID = value
        End Set
    End Property
    Public Property CountOfSubs() As Integer
        Get
            Return intCountOfSubs
        End Get
        Set(ByVal value As Integer)
            intCountOfSubs = value
        End Set
    End Property
    Public Property CategorySummary() As String
        Get
            Return strCategorySummary
        End Get
        Set(ByVal value As String)
            strCategorySummary = value
        End Set
    End Property
    Public Property BulletList() As String
        Get
            Return strBulletList
        End Get
        Set(ByVal value As String)
            strBulletList = value
        End Set
    End Property
    Public Property ThumbImage() As String
        Get
            Return strThumbImage
        End Get
        Set(ByVal value As String)
            strThumbImage = value
        End Set
    End Property
    Public Property MetaDescription() As String
        Get
            Return strMetaDescription
        End Get
        Set(ByVal value As String)
            strMetaDescription = value
        End Set
    End Property
    Public Property CategoryStyleID() As Integer
        Get
            Return intCategoryStypeID
        End Get
        Set(ByVal value As Integer)
            intCategoryStypeID = value
        End Set
    End Property
    Public Property MetaTitleBar() As String
        Get
            Return strMetaTitleBar
        End Get
        Set(ByVal value As String)
            strMetaTitleBar = value
        End Set
    End Property

    Public Property Active() As Integer
        Get
            Return intActive
        End Get
        Set(ByVal value As Integer)
            intActive = value
        End Set
    End Property
    Public Property Deleted() As Integer
        Get
            Return intDeleted
        End Get
        Set(ByVal value As Integer)
            intDeleted = value
        End Set
    End Property
    Public Property CreatedBy() As String
        Get
            Return strCreatedBy
        End Get
        Set(ByVal value As String)
            strCreatedBy = value
        End Set
    End Property
    Public Property CreatedDate() As String
        Get
            Return strCreatedDate
        End Get
        Set(ByVal value As String)
            strCreatedDate = value
        End Set
    End Property
    Public Property DeletedBy() As String
        Get
            Return intDeletedBy
        End Get
        Set(ByVal value As String)
            intDeletedBy = value
        End Set
    End Property
    Public Property DeletedDate() As String
        Get
            Return intDeletedDate
        End Get
        Set(ByVal value As String)
            intDeletedDate = value
        End Set
    End Property
    Public Property ModifiedBy() As String
        Get
            Return strModifiedBy
        End Get
        Set(ByVal value As String)
            strModifiedBy = value
        End Set
    End Property
    Public Property ModifiedDate() As String
        Get
            Return strModifiedDate
        End Get
        Set(ByVal value As String)
            strModifiedDate = value
        End Set
    End Property
    Public Property CategoryAdminTitle() As String
        Get
            Return strCategoryAdminTitle
        End Get
        Set(ByVal value As String)
            strCategoryAdminTitle = value
        End Set
    End Property
#End Region
End Class
